Skip to content
Start here

Get Workflow details

client.workflows.get(stringworkflowName, WorkflowGetParams { account_id } params, RequestOptionsoptions?): WorkflowGetResponse { id, class_name, created_on, 5 more }
GET/accounts/{account_id}/workflows/{workflow_name}

Retrieves configuration and metadata for a specific workflow.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
workflowName: string
maxLength64
minLength1
params: WorkflowGetParams { account_id }
account_id: string
ReturnsExpand Collapse
WorkflowGetResponse { id, class_name, created_on, 5 more }
id: string
formatuuid
class_name: string
created_on: string
formatdate-time
instances: Instances { complete, errored, paused, 5 more }
complete?: number
errored?: number
paused?: number
queued?: number
running?: number
terminated?: number
waiting?: number
waitingForPause?: number
modified_on: string
formatdate-time
name: string
maxLength64
minLength1
script_name: string
triggered_on: string | null
formatdate-time

Get Workflow details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const workflow = await client.workflows.get('x', { account_id: 'account_id' });

console.log(workflow.id);
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "instances": {
      "complete": 0,
      "errored": 0,
      "paused": 0,
      "queued": 0,
      "running": 0,
      "terminated": 0,
      "waiting": 0,
      "waitingForPause": 0
    },
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "script_name": "script_name",
    "triggered_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "instances": {
      "complete": 0,
      "errored": 0,
      "paused": 0,
      "queued": 0,
      "running": 0,
      "terminated": 0,
      "waiting": 0,
      "waitingForPause": 0
    },
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "script_name": "script_name",
    "triggered_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}